Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.xml
[Java] Class GroovyBeanMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.xml.GroovyBeanMarshaller

    public class GroovyBeanMarshaller
    extends IncludeExcludePropertyMarshaller

Authors:
  Siegfried Puchbauer

Since:
  1.1

Method Summary
`void` | `marshalObject(java.lang.Object o, XML xml)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class IncludeExcludePropertyMarshaller
excludesProperty, includesProperty, shouldInclude

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### marshalObject

    public void marshalObject(java.lang.Object o, XML xml)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation